----------------------------------------------------------------------
--
-- textureXRef.lua - TabardMaster's tabard to custom tabard 
--	texture remap table.
--
-- Legion introduced iconIDs instead of resource paths; some tabard
--	icons use a generic icon, 135026.  These can be changed to use
--	an alternate, external texture file.
--
-- These alternate tabard textures are from public sources and
-- reused with permission; they have been cropped to 32x32
-- pixels.  I originally used them in my fixes to the
-- Tabard-O-Matic add-on, from which some code was borrowed.
-- 
----------------------------------------------------------------------

tabardTextures = {
--	["00000"] = "None",

-- Honor Rank
	["15196"] = "Private's Tabard",
	["15197"] = "Scout's Tabard",
	["15198"] = "Knight's Colors",
	["15199"] = "Stone Guard's Herald",

-- Battlegrounds
	["19031"] = "Frostwolf Battle Tabard",
	["19032"] = "Stormpike Battle Tabard",
	["19505"] = "Warsong Battle Tabard",
	["19506"] = "Silverwing Battle Tabard",
	["20131"] = "Battle Tabard of the Defilers",
	["20132"] = "Arathor Battle Tabard",
	
-- Trading Cards
	["23705"] = "Tabard of Flame",
	["23709"] = "Tabard of Frost",
	["38309"] = "Tabard of Nature",
	["38310"] = "Tabard of the Arcane",
	["38311"] = "Tabard of the Void",
	["38312"] = "Tabard of Brilliance",
	["38313"] = "Tabard of Fury",
	["38314"] = "Tabard of the Defender",

-- Events
	["19160"] = "Contest Winner's Tabard",
	["22999"] = "Tabard of the Argent Dawn",
	["28788"] = "Tabard of the Protector",
	["35279"] = "Tabard of Summer Skies",
	["35280"] = "Tabard of Summer Flames",
	["36941"] = "Competitor's Tabard",

-- Burning Crusades
	["23999"] = "Honor Hold Tabard",
	["24004"] = "Thrallmar Tabard",
	["24344"] = "Tabard of the Hand",
	["25549"] = "Blood Knight Tabard",
	["31404"] = "Green Trophy Tabard of the Illidari",
	["31405"] = "Purple Trophy Tabard of the Illidari",
	["31773"] = "Mag'har Tabard",
	["31774"] = "Kurenai Tabard",
	["31775"] = "Sporeggar Tabard",
	["31776"] = "Consortium Tabard",
	["31777"] = "Keepers of Time Tabard",
	["31778"] = "Lower City Tabard",
	["31779"] = "Aldor Tabard",
	["31780"] = "Scryers Tabard",
	["31781"] = "Sha'tar Tabard",
	["31804"] = "Cenarion Expedition Tabard",
	["32445"] = "Skyguard Tabard",
	["32828"] = "Ogri'la Tabard",
	["35221"] = "Tabard of the Shattered Sun",

-- Lich King
	["43154"] = "Tabard of the Argent Crusade",
	["43155"] = "Tabard of the Ebon Blade",
	["43156"] = "Tabard of the Wyrmrest Accord",
	["43157"] = "Tabard of the Kirin Tor",

-- Misc
	["23192"] = "Tabard of the Scarlet Crusade",
	["40643"] = "Tabard of the Achiever",
	["43300"] = "Loremaster's Colors",
	["43348"] = "Tabard of the Explorer",
	["43349"] = "Tabard of Brute Force",

-- Argent Tournament	
--	["45574"] = "Stormwind Tabard",	
--	["45577"] = "Ironforge Tabard",
--	["45578"] = "Gnomeregan Tabard",
--	["45579"] = "Darnassus Tabard",
--	["45580"] = "Exodar Tabard",
--	["45581"] = "Orgrimmar Tabard",
--	["45582"] = "Sen'jin Tabard",
--	["45583"] = "Undercity Tabard",
--	["45584"] = "Thunderbluff Tabard",
--	["45585"] = "Silvermoon City Tabard",

-- Patch 3.1.1
	["45983"] = "Furious Gladiator's Tabard",
	
-- Patch 3.2
	["46817"] = "Silver Covenant Tabard",
	["46818"] = "Sunreaver Tabard",
	["46874"] = "Argent Crusader's Tabard",
	["49052"] = "Tabard of Conquest - Alliance",
	["49054"] = "Tabard of Conquest - Horde",
	["49086"] = "Relentless Gladiator's Tabard",
	
-- Patch 3.3.2
	["51534"] = "Wrathful Gladiator's Tabard",
	
-- Patch 3.3.3
	["52252"] = "Tabard of the Lightbringer",

-- Patch 5.0.4
	["83080"] = "Huojin Tabard",
	["83079"] = "Tushui Tabard",
	["89196"] = "Theramore Tabard",

-- Patch 7.0.3

	
}
